#ifndef HINTLINEEDIT_H
#define HINTLINEEDIT_H

#include <klineedit.h> //baseclass

class TQVBox;
class TQLabel;
class TQWidget;

class HintLineEdit : public KLineEdit
{
    TQ_OBJECT
  

public:
    HintLineEdit( const TQString &hint, const TQString &text, TQWidget *parent = 0, const char *name = 0 );
    HintLineEdit( const TQString &text, TQWidget *parent = 0, const char *name = 0 );
    HintLineEdit( TQWidget *parent = 0, const char *name = 0 );
    virtual ~HintLineEdit();
    virtual TQObject *parent();
    virtual void setHint( const TQString &hint );
private:
    void init();
    TQVBox *m_vbox;
    TQLabel *m_hint;
};

#endif
